import interfaces.ISelect;


/**
 * Class that implements <CODE>{@link ISelect ISelect}</CODE> to select
 * <CODE>{@link Album Album}</CODE> that was released before the year 
 * provided to the constructor.
 */
public class BeforeYear implements ISelect<Album>{
  /** the year before which the album should have been produced */
  int year;

  /** 
   * Save the desired year to compare against
   * @param year the year before which the album should have been produced
   */
  BeforeYear(int year){
    this.year = year;
  }

  /**
   * Was this album released before the given year?
   */
  public boolean select(Album album){
    return album.getYor() < year;
  }
}
