package interfaces;

/**
 * @(#)ISelect.java  6 November 2007
 *
 * @author Viera K. Proulx
 */
/**
 * An interface to represent a predicate method.
 */
public interface ISelect<T>{
  /**
   * Determine whether the given object satisfies a predicate.
   *      
   * @param obj the object to assess.
   * @return true if the objects satisfies the predicate.
   */ 
  public boolean select(T obj);
}


